#!/bin/sh
#
# $FreeBSD: ports/sysutils/afbinit/files/afbinit.sh.in,v 1.1 2006/02/20 20:10:14 marius Exp $
#

# PROVIDE: afbinit
# REQUIRE: devfs
#
# Available configuration variables for afbinit are:
#
# afbinit_enable (bool):	Set to "YES" to enable afbinit.
#				Defaults to "NO".
#
# Add at least the following line to /etc/rc.conf or /etc/rc.conf.local to
# enable afbinit:
#
# afbinit="YES"
#

. /etc/rc.subr

name="afbinit"
rcvar=${name}_enable

start_cmd="afbinit_startcmd"

afbinit_startcmd()
{
	if [ ! -r /usr/local/share/afbinit/afb.ucode ]; then
		err 1 '/usr/local/share/afbinit/afb.ucode is not readable.'
	fi

	for fb in /dev/fb[0-7]; do
		/usr/local/sbin/afbinit ${fb} /usr/local/share/afbinit/afb.ucode
	done
}

load_rc_config $name

: ${afbinit_enable="NO"}

run_rc_command "$1"
